Skip to navigation

Create named vector

Create a new named vector on an existing collection

Authentication

api-keystring

Authorization key, either read-write or read-only

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_namestringRequired
Name of the collection
vector_namestringRequired
Name of the vector to create

Query parameters

waitbooleanOptional
If true, wait for changes to actually happen
orderingenumOptional
define ordering guarantees for the operation
Allowed values:
timeoutintegerOptional>=1
Timeout for the operation

Request

Vector configuration - dense or sparse

DenseVectorNameConfigobjectRequired
Wrapper for dense vector creation config.
OR
SparseVectorNameConfigobjectRequired
Wrapper for sparse vector creation config.

Response

successful operation
usageobject or anyOptional
timefloatOptional
Time spent to process this request
statusstringOptional
resultobjectOptional

Errors

4XX
Client Request Error